| CMSIS-SVD Version 1.10 CMSIS System View Description

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

SVD File Usage

System Views
There are a number of tool vendors who are supporting the CMSIS-SVD format with their products. Refer to the tools documentation to find out how to use CMSIS-SVD descriptions with the debugger of your choice. You can download the latest versions of available CMSIS-SVD files from the Public Download Area on the ARM web.

Device Header File Generation (<device_name>.h):
SVDConv generates CMSIS compliant device header files from a CMSIS-SVD description. Note that CMSIS device header files are developed and maintained by the silicon vendors. Therefore the expectation is that this conversion is only of interest to these parties.
In a first step, a consistency check of the description is performed. In a second step, the device header file is generated. The device header file is generated into the current directory and the file name is determined by the tag name on the device level from CMSIS-SVD input file.

      SVDConv.exe myDevice.xml --generate=header

- Additional options:
  This option generates bit fields in the device header file for each field description contained in the CMSIS-SVD input file.

          --fields=struct

  This option generates position and mask C-Macros for each field description contained in the CMSIS-SVD input file.

          --fields=macro